<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package web2feel
 * @since web2feel 1.0
 */

get_header(); ?>


<?php get_template_part( 'slide', 'index' ); ?>

<div class="hwid cf">
	<div class="container_6">
	
		<div class="grid_2">
			<div class="home-wid">
				<h2><?php echo of_get_option('w2f_hwid_title1'); ?></h2>
				<p><?php echo of_get_option('w2f_hwid_text1'); ?></p>
			</div>
		</div>
		
		<div class="grid_2">
			<div class="home-wid">
				<h2><?php echo of_get_option('w2f_hwid_title2'); ?></h2>
				<p><?php echo of_get_option('w2f_hwid_text2'); ?></p>
			</div>
		</div>
		
		<div class="grid_2">
			<div class="home-wid">
				<h2><?php echo of_get_option('w2f_hwid_title3'); ?></h2>
				<p><?php echo of_get_option('w2f_hwid_text3'); ?></p>
			</div>
		</div>
		
	</div>
</div>

	<div class="container_6">
		<div id="primary" class="content-area grid_4" >
			<div id="content" class="site-content" role="main">

			<?php if ( have_posts() ) : ?>

				<?php /* Start the Loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>

					<?php
						/* Include the Post-Format-specific template for the content.
						 * If you want to overload this in a child theme then include a file
						 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
						 */
						get_template_part( 'content', get_post_format() );
					?>

				<?php endwhile; ?>

				<?php web2feel_content_nav( 'nav-below' ); ?>

			<?php elseif ( current_user_can( 'edit_posts' ) ) : ?>

				<?php get_template_part( 'no-results', 'index' ); ?>

			<?php endif; ?>

			</div><!-- #content .site-content -->
		</div><!-- #primary .content-area -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>